java.awt.datatransfer

## Interface FlavorListener

All Superinterfaces:
  EventListener

    public interface FlavorListener
    extends EventListener

Defines an object which listens for `FlavorEvent`s.

Since:
  1.5

### Method Summary

Methods
`void` `flavorsChanged(FlavorEvent e)` Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

### Method Detail

#### flavorsChanged

    void flavorsChanged(FlavorEvent e)

Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

Some notifications may be redundant — they are not caused by a change of the set of DataFlavors available on the clipboard. For example, if the clipboard subsystem supposes that the system clipboard's contents has been changed but it can't ascertain whether its DataFlavors have been changed because of some exceptional condition when accessing the clipboard, the notification is sent to ensure from omitting a significant notification. Ordinarily, those redundant notifications should be occasional.

Parameters:
  `e` - a `FlavorEvent` object

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.